LockDown Browser Requirements

LockDown Browser

System Requirements

LockDown Browser System Requirements

Operating Systems
Windows: 10, 8, 7 *
Mac: OS X 10.10 or higher *
iOS: 7.0+ (iPad only). Must have a compatible LMS integration. Details.

* LockDown Browser and Respondus Monitor may continue to run in older operating systems that have reached "end-of-life" but students may encounter unexpected results.


Windows: 2 GB RAM
Mac: 512 MB RAM

Browser Requirements

Mac Users: The Safari browser must be configured to the minimum requirements for the Learning Management System being used (it does NOT have to be the default browser for the computer).

Learning Management Systems

LockDown Browser integrates with the following learning management systems:

  • Blackboard Learn 9.1 or higher
  • Brightspace 10.x
  • Canvas
  • Moodle 2.x to 3.x
  • Schoology Enterprise
  • Sakai 2.7.1+